package com.bocloud.nms.model.veeam.job;

public class BackupStorageSettingModel {

    private boolean enableInlineDataDedup;
    private boolean excludeSwapFileBlocks;
    private boolean excludeDeletedFileBlocks;
    private String compressionLevel;
    private String storageOptimization;
    private BackupStorageSettingsEncryptionModel encryption;

    public boolean isEnableInlineDataDedup() {
        return enableInlineDataDedup;
    }

    public void setEnableInlineDataDedup(boolean enableInlineDataDedup) {
        this.enableInlineDataDedup = enableInlineDataDedup;
    }

    public boolean isExcludeSwapFileBlocks() {
        return excludeSwapFileBlocks;
    }

    public void setExcludeSwapFileBlocks(boolean excludeSwapFileBlocks) {
        this.excludeSwapFileBlocks = excludeSwapFileBlocks;
    }

    public boolean isExcludeDeletedFileBlocks() {
        return excludeDeletedFileBlocks;
    }

    public void setExcludeDeletedFileBlocks(boolean excludeDeletedFileBlocks) {
        this.excludeDeletedFileBlocks = excludeDeletedFileBlocks;
    }

    public String getCompressionLevel() {
        return compressionLevel;
    }

    public void setCompressionLevel(String compressionLevel) {
        this.compressionLevel = compressionLevel;
    }

    public String getStorageOptimization() {
        return storageOptimization;
    }

    public void setStorageOptimization(String storageOptimization) {
        this.storageOptimization = storageOptimization;
    }

    public BackupStorageSettingsEncryptionModel getEncryption() {
        return encryption;
    }

    public void setEncryption(BackupStorageSettingsEncryptionModel encryption) {
        this.encryption = encryption;
    }

    @Override public String toString() {
        return "BackupStorageSettingModel{" + "enableInlineDataDedup=" + enableInlineDataDedup
            + ", excludeSwapFileBlocks=" + excludeSwapFileBlocks + ", excludeDeletedFileBlocks="
            + excludeDeletedFileBlocks + ", compressionLevel='" + compressionLevel + '\'' + ", storageOptimization='"
            + storageOptimization + '\'' + ", encryption=" + encryption + '}';
    }
}
